package org.project.item.weapons;

public abstract class Weapon {
    private int damage;
    private int manaCost;

    public Weapon(int dmg, int mpCost) {
        this.damage = dmg;
        this.manaCost = mpCost;
    }

    public int getDamage() {
        return damage;
    }

    public int getManaCost() {
        return manaCost;
    }
}